<?php
$this->load->view ( $left );
$this->load->view ( $header );
?>
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-sm-4">
        <h2>Credit Note List</h2>
    </div>
    <div class="col-sm-8">
        <div class="title-action">
            <a href="<?php echo site_url("credit_note/new_credit_note");?>" class="btn btn-primary addNewUser">
                <i class="fa fa-plus-square-o"></i>
                <span class="m-l-xs">Add Credit Note</span>
            </a>
        </div>
    </div>
</div>
<div class="wrapper wrapper-content">
    <div class="row text-center animated fadeInRightBig">
        <table class="table" id="myTable">
        	<thead>
        		<tr>
        			<th>Date</th>
        			<th>Credit Note#</th>
                    <th>Customer</th>
                    <th>Invoice#</th>
                    <th>Amount</th>
        		</tr>
        	</thead>
            <tbody>
                <?php 
                if (count($credit_note_list) > 0) {
                    foreach ($credit_note_list as $key_credit_note => $value_credit_note) {
                        ?>
                        <tr class="crnote_edit" data-credit_id="<?php echo !empty($value_credit_note->credit_note_no) ? $value_credit_note->credit_note_no : '';?>" style="cursor: pointer;">
                           <td><?php echo !empty($value_credit_note->credit_date) ? date('d/m/Y',strtotime(str_replace('-', '/', $value_credit_note->credit_date))) : '';?></td>
                           <td><?php echo !empty($value_credit_note->credit_note_no) ? $value_credit_note->credit_note_no : '';?></td>
                           <td><?php echo !empty($value_credit_note->name) ? $value_credit_note->name : '';?></td>
                           <td><?php echo !empty($value_credit_note->invoice_no) ? $value_credit_note->invoice_no : '';?></td>
                           <td><?php echo !empty($value_credit_note->total ) ? number_format((float)$value_credit_note->total, 2, '.', '') : '0.00';?></td>
                        </tr>
                <?php }
                }?>
            </tbody>
        </table>
    </div>
</div>
<?php $this->load->view($footer); ?>
<script type="text/javascript" language="javascript" src="//code.jquery.com/jquery-1.12.4.js"></script>
    <script src="//cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
    <script src="//cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script> 	
	<script src="//cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script> 
	<script src="//cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script> 
	<script src="//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script> 
	<script src="//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script src="//cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script> 
    <script src="//cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>

<script type="text/javascript">
	var jq = jQuery.noConflict();

	jq(document).ready(function() {
	jq('#myTable').DataTable( {
			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			]
		} );
	   

       $(document).on('click','.crnote_edit',function(){
            var crno = $(this).data('credit_id');
            window.location.href = '<?php echo site_url("credit_note/credit_note_print/'+crno+'");?>';
        });
    });

</script>	