<?php
$this->load->view ( $left );
$this->load->view ( $header );
?>
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-sm-4">
        <h2>Contact List</h2>
    </div>
    <div class="col-sm-8">
        <div class="title-action">
            <a href="<?php echo site_url("user/newuser");?>" class="btn btn-primary addNewUser">
                <i class="fa fa-plus-square-o"></i>
                <span class="m-l-xs">New Contact</span>
            </a>
        </div>
    </div>
</div>
<div class="wrapper wrapper-content">
    <div class="row text-center animated fadeInRightBig">
        <table class="table" id="myTable">
        	<thead>
        		<tr>
        			<th>Name</th>
        			<th>Company Name</th>
                    <th>Email</th>
                    <th>Work Phone</th>
                    <th>Type</th>
                    <th>Recivabled</th>
                    <th>Payables</th>
        			<th>Action</th>
        		</tr>
        	</thead>
            <tbody>
                <?php if (count($user_list) > 0) {
                    foreach ($user_list as $key_user => $value_user) {?>
                        <tr>
                           <td><?php echo !empty($value_user->name) ? $value_user->name : '';?></td>
                           <td><?php echo !empty($value_user->company_name) ? $value_user->company_name : '';?></td>
                           <td><?php echo !empty($value_user->contact_email) ? $value_user->contact_email  : '';?></td>
                           <td><?php echo !empty($value_user->contact_phone ) ? $value_user->contact_phone : '';?></td>
                           <td><?php $type_id = !empty($value_user->contact_type ) ? $value_user->contact_type : ''; if($type_id==1){ echo "Customer";}else{ echo "Vendor";} ?></td>
                           <td>0</td>
                           <td>0</td>
                           <td><a href="<?php echo site_url('user/newuser/'.$value_user->id);?>"><button class="btn btn-info btn-xs"><i class="fa fa-edit"></i></button></a></td>
                        </tr>
                <?php }
                }?>
            </tbody>
        </table>
    </div>
</div>
<?php $this->load->view($footer); ?>
<script type="text/javascript" language="javascript" src="//code.jquery.com/jquery-1.12.4.js"></script>
    <script src="//cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
    <script src="//cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script> 	
	<script src="//cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script> 
	<script src="//cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script> 
	<script src="//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script> 
	<script src="//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script src="//cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script> 
    <script src="//cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>

<script type="text/javascript">
	var jq = jQuery.noConflict();

	jq(document).ready(function() {
	jq('#myTable').DataTable( {
			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			]
		} );
	} );

</script>	