<?php
$this->load->view ( $left );
$this->load->view ( $header );
?>
<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-sm-4">
        <h2>All Payments Received</h2>
    </div>
    <div class="col-sm-8">
        <div class="title-action">
            <a href="<?php echo site_url("Receive_payment/newpayment");?>" class="btn btn-primary addNewUser">
                <i class="fa fa-plus-square-o"></i>
                <span class="m-l-xs">Add Payment Recived</span>
            </a>
        </div>
    </div>
</div>
<?php $mode_array = array(1=>'Cash',2=>'Check',3=>'Other');?>
<div class="wrapper wrapper-content">
    <div class="row text-center animated fadeInRightBig">
        <table class="table" id="myTable">
            <thead>
                <tr>
                    <th>Date</th>
                    <th>Payment#</th>
                    <th>Type</th>
                    <th>Mode</th>
                    <th>Referance#</th>
                    <th>Customer</th>
                    <th>Invoice#</th>
                    <th>Amount</th>
                    <th>Unused Amount</th>
                </tr>
            </thead>
            <tbody>
                <?php if (count($payment_list) > 0) {
                    foreach ($payment_list as $key_invoice => $value_invoice) {?>
                        <tr>
                           <td><?php echo !empty($value_invoice->payment_date) ? date('d/m/Y',strtotime(str_replace('-', '/', $value_invoice->payment_date))) : '';?></td>
                           <td><?php echo !empty($value_invoice->payment_received_id) ? $value_invoice->payment_received_id : '';?></td>
                           <td><?php echo !empty($value_invoice->invoice_no) ? 'Invoice Payment'  : 'Diposit';?></td>
                           <td><?php echo !empty($value_invoice->payment_type) ? $mode_array[$value_invoice->payment_type] : '';?></td>
                           <td><?php echo !empty($value_invoice->reference) ? $value_invoice->reference : '';?></td>
                           <td><?php echo !empty($value_invoice->customer_name) ? $value_invoice->customer_name : '';?></td>
                           <td><?php echo !empty($value_invoice->invoice_no) ? $value_invoice->invoice_no : '';?></td>
                           <td><?php echo !empty($value_invoice->amount) ? number_format((float)$value_invoice->amount, 2, '.', '') : '0.00';?></td>
                           <td><?php echo (($value_invoice->amount - $value_invoice->invoice_paid_amount) > 0) ? number_format((float)($value_invoice->amount - $value_invoice->invoice_paid_amount), 2, '.', '') : '0.00';?></td>
                        </tr>
                <?php }
                }?>
            </tbody>
        </table>
    </div>
</div>
<?php $this->load->view($footer); ?>

<script type="text/javascript" language="javascript" src="//code.jquery.com/jquery-1.12.4.js"></script>
    <script src="//cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
    <script src="//cdn.datatables.net/buttons/1.5.1/js/dataTables.buttons.min.js"></script> 	
	<script src="//cdn.datatables.net/buttons/1.5.1/js/buttons.flash.min.js"></script> 
	<script src="//cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script> 
	<script src="//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/pdfmake.min.js"></script> 
	<script src="//cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
	<script src="//cdn.datatables.net/buttons/1.5.1/js/buttons.html5.min.js"></script> 
    <script src="//cdn.datatables.net/buttons/1.5.1/js/buttons.print.min.js"></script>

<script type="text/javascript">
	var jq = jQuery.noConflict();

	jq(document).ready(function() {
	jq('#myTable').DataTable( {
			dom: 'Bfrtip',
			buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
			]
		} );
	} );

</script>	

